Subject: Re: [Gen-art] review of draft-ietf-xrblock-rtcp-xr-pdv-03.txt

From: Qin Wu <[email-masked]>
Date: Thu, 16 Aug 2012 17:27:46 +0800

Hi, Alex:
Sorry for late reply.
Thank for your valuable review. 
please see my feedback inline.

Regards!
-Qin
----- Original Message ----- 
From: "Alexey Melnikov" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, July 24, 2012 1:23 AM
Subject: [Gen-art] review of draft-ietf-xrblock-rtcp-xr-pdv-03.txt

>I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> < http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Please wait for direction from your document shepherd
> or AD before posting a new version of the draft.
> 
> Document: draft-ietf-xrblock-rtcp-xr-pdv-03.txt
> Reviewer: Alexey Melnikov
> Review Date: 23 July 2012
> IETF LC End Date: 23 July 2012
> IESG Telechat date: N/A
> 
> Summary: Almost Ready
> 
> Major issues: None
> 
> Minor issues:
> 
> In Section 4:
> 
>         pdvtype     = "pdv="    0      ; MAPDV2 ITU-T G.1020
>                               / 1      ; 2-point PDV ITU-T Y.1540
> 
> Firstly, I think you meant "0" and "1" above (you are missing quotes). 

[Qin]: You are right.

> Secondly, this doesn't allow for future pdvtype registrations, so you 
> should be using something like 1*2DIGIT here (with a comment that value 
> 0-15 are valid), or something more specific.

[Qin]: Okay,I propose to do the followingchange:
OLD TEXT:
"
         pdvtype     = "pdv="    0      ; MAPDV2 ITU-T G.1020
                               / 1      ; 2-point PDV ITU-T Y.1540

"
NEW TEXT:
"
        pdvtype     = "pdv="  "0"      ; MAPDV2 ITU-T G.1020

                              / "1"     ; 2-point PDV ITU-T Y.1540

                              /1*2DIGIT    ;Value 2~15 are valid

                                           ; and reserved for future

                                           ; use.

"
> 
> The document creates a new registry with "Specification Required", yet 
> the shepherding write-up says that the document doesn't create any 
> registry with Expert Review (question 18). So one of the two is 
> incorrect, I don't know which one.

[Qin]: My understanding is the former.

> Nits/editorial comments: None
>